Subject: Re: Fw: Trouble Registering Product & Starting a Warranty Claim
From: [email-masked]
To: [email-masked]
Date: Fri, 5 Dec 2025 17:47:40 -0500

Hello,

Thank you for contacting JLA Home. To register for warranty support send
below information so we can register the product for warranty support for
you.

• Your physical mailing address

• Phone number

Best regards,

JLA Home Customer Service

On Fri, Dec 5, 2025 at 2:47 PM -08:00 Pacific Time Customer Service<
[email-masked]> wrote:

>
> ------------------------------
> *From:* Lisa McIntosh <[email-masked]>
> *Sent:* Friday, December 5, 2025 12:39
> *To:* info <[email-masked]>
> *Subject:* Trouble Registering Product & Starting a Warranty Claim
>
> Hello,
>
> I’ve been trying to register my Heated Mattress Pad. It’s asking for
> information on the back of the controller, but my controller does not have
> any product info printed on it. I can’t get a hold of anyone via phone & I
> don’t see online chat.
>
> I put the Pad on my new mattress and it has the F showing on controller.
> I’ve reset it, switched conrollers and nothing is working. It was less than
> a year from purchase and I see it has a 5 year warranty. Please help.
>
> I'll attach the original receipt, photo of controller & whatever else I
> think might help.
>